## org.eclipse.datatools.connectivity.ui.actions
Class ConnectAction

    java.lang.Object
      org.eclipse.datatools.connectivity.ui.actions.ConnectAction

public class ConnectAction
extends java.lang.Object

Author:
  shongxum, brianf

Constructor Summary
`ConnectAction()`
`ConnectAction(Shell shell)`

Method Summary
`void` `addSelectionChangedListener(ISelectionChangedListener listener)`
`static Job` `connect(IConnectionProfile profile, ITreeContentProvider contentProvider)` Deprecated. use IConnectionProfile.connect(). The caller is now responsible for updating their view themselves. Note, if you are using a servers viewer, you should not need to update the view as the view listens for connect events and updates itself.
`static void` `connectAndRefresh(IConnectionProfile profile, TreeViewer viewer)` Deprecated. use IConnectionProfile.connect(). The caller is now responsible for updating their view themselves. Note, if you are using a servers viewer, you should not need to update the view as the view listens for connect events and updates itself.
`ISelection` `getSelection()`
`void` `removeSelectionChangedListener(ISelectionChangedListener listener)`
`void` `run(IAction action)`
`void` `selectionChanged(IAction action, ISelection selection)`
`void` `setActivePart(IAction action, IWorkbenchPart targetPart)`
`void` `setSelection(ISelection selection)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectAction

    public ConnectAction()

### ConnectAction

    public ConnectAction(Shell shell)

Method Detail

### connectAndRefresh

    public static void connectAndRefresh(IConnectionProfile profile,
                                         TreeViewer viewer)

  Deprecated. use IConnectionProfile.connect(). The caller is now responsible for updating their view themselves. Note, if you are using a servers viewer, you should not need to update the view as the view listens for connect events and updates itself.

  This method blocks until the connection has been created.

  Parameters:
    `profile` -
    `viewer` -

### connect

    public static Job connect(IConnectionProfile profile,
                              ITreeContentProvider contentProvider)

  Deprecated. use IConnectionProfile.connect(). The caller is now responsible for updating their view themselves. Note, if you are using a servers viewer, you should not need to update the view as the view listens for connect events and updates itself.

  Parameters:
    `profile` -
    `contentProvider` -
  Returns:

### setActivePart

    public void setActivePart(IAction action,
                              IWorkbenchPart targetPart)

### run

    public void run(IAction action)

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection selection)

### getSelection

    public ISelection getSelection()

### removeSelectionChangedListener

    public void removeSelectionChangedListener(ISelectionChangedListener listener)

### addSelectionChangedListener

    public void addSelectionChangedListener(ISelectionChangedListener listener)

### setSelection

    public void setSelection(ISelection selection)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.